io.undertow.server.session

## Interface SessionManagerStatistics

All Known Implementing Classes:
  InMemorySessionManager

    public interface SessionManagerStatistics

Optional interface that can be implemented by `SessionManager` implementations that provides session manager statistics.

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`long` `getActiveSessionCount()`
`long` `getAverageSessionAliveTime()`
`long` `getCreatedSessionCount()`
`long` `getExpiredSessionCount()`
`default long` `getHighestSessionCount()`
`long` `getMaxActiveSessions()`
`long` `getMaxSessionAliveTime()`
`long` `getRejectedSessions()`
`long` `getStartTime()`

### Method Detail

#### getCreatedSessionCount

    long getCreatedSessionCount()

Returns:
  The number of sessions that this session manager has created

#### getMaxActiveSessions

    long getMaxActiveSessions()

Returns:
  the maximum number of sessions this session manager supports

#### getHighestSessionCount

    default long getHighestSessionCount()

Returns:
  the highest number of sessions that have been active at a single time, or -1 if this statistic is not supported

#### getActiveSessionCount

    long getActiveSessionCount()

Returns:
  The number of active sessions

#### getExpiredSessionCount

    long getExpiredSessionCount()

Returns:
  The number of expired sessions

#### getRejectedSessions

    long getRejectedSessions()

Returns:
  The number of rejected sessions

#### getMaxSessionAliveTime

    long getMaxSessionAliveTime()

Returns:
  The longest a session has been alive for in milliseconds

#### getAverageSessionAliveTime

    long getAverageSessionAliveTime()

Returns:
  The average session lifetime in milliseconds

#### getStartTime

    long getStartTime()

Returns:
  The timestamp at which the session manager started